Subject: [netmod] I-D Action: draft-ietf-netmod-yang-model-classification-00.txt

From: [email-masked]
Date: Mon, 07 Dec 2015 18:17:20 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the NETCONF Data Modeling Language Working Group of the IETF.

        Title           : YANG Model Classification
        Authors         : Dean Bogdanovic
                          Benoit Claise
                          Carl Moberg
	Filename        : draft-ietf-netmod-yang-model-classification-00.txt
	Pages           : 9
	Date            : 2015-12-07

Abstract:
   The YANG [RFC6020] data modeling language is currently being
   considered for a wide variety of applications throughout the
   networking industry at large.  Many standards defining organizations,
   open source software projects, and vendors are using YANG to develop
   and publish models of configuration, state data and operations for a
   wide variety of applications.  At the same time, there is currently
   no well-known terminology to categorize various types of YANG models.

   A consistent terminology would help with the categorization of
   models, assist in the analysis the YANG data modeling efforts in the
   IETF and other organizations, and bring clarity to the YANG-related
   discussions between the different groups.

   This document describes a set of concepts and associated terms to
   support consistent classification of YANG models.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-netmod-yang-model-classification/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-netmod-yang-model-classification-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Jonathan Hansford <[email-masked]>
Date: Tue, 8 Dec 2015 08:14:00 +0000

I’ve picked up some possible typos in the document. Being British, I accept some of these may purely reflect different approaches to a common (!) language.

Section 2
•         s/to developing YANG model/to developing a YANG model
•         s/benefits that appeals/benefits that appeal
•         s/this documents suggests/this document suggests
•         s/YANG Models describes/YANG Models describe
•         s/Layering of models allow for/Layering of models allows for
•         s/e.g/e.g.
•         s/with experience from/with experience of
Section 2.1
•         s/YANG models defines/YANG models define
Section 3
•         s/and to Network Service/and Network Service
Section 3.1
•         s/lifecycle of these models are/lifecycle of these models is
Section 3.2
•         s/to, or adopted by/to or adopted by
•         s/lifecycle of these models are/lifecycle of these models is
•         Section 3.3
•         s/what is covered/that covered

HTH,

Jonathan

From: [email-masked]
Sent: 08 December 2015 02:17
To: [email-masked]
Cc: [email-masked]
Subject: [netmod] I-D Action:draft-ietf-netmod-yang-model-classification-00.txt

Abstract:

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod

---

From: "Carl Moberg (camoberg)" <[email-masked]>
Date: Tue, 8 Dec 2015 17:59:48 +0000

Excellent, thanks! Queueing fixes to the below up for next version.

> On Dec 8, 2015, at 12:14 AM, Jonathan Hansford <[email-masked]> wrote:
> 
> ·         s/to developing YANG model/to developing a YANG model
> ·         s/benefits that appeals/benefits that appeal
> ·         s/this documents suggests/this document suggests
> ·         s/YANG Models describes/YANG Models describe
> ·         s/Layering of models allow for/Layering of models allows for
> ·         s/e.g/e.g.
> ·         s/with experience from/with experience of
> Section 2.1
> ·         s/YANG models defines/YANG models define
> Section 3
> ·         s/and to Network Service/and Network Service
> Section 3.1
> ·         s/lifecycle of these models are/lifecycle of these models is
> Section 3.2
> ·         s/to, or adopted by/to or adopted by
> ·         s/lifecycle of these models are/lifecycle of these models is
> ·         Section 3.3
> ·         s/what is covered/that covered
>  
> HTH,
>  
> Jonathan
>  
>